TinyMCE Editor konfigurieren

Bei mir funktioniert es mit der 5er. Ich hatte nur Probleme mit der Installation. Nach dem Download wurde das Zip entpackt, daran muss es wohl gelegen haben. Ich habe das Plugin dann einfach per FTP hochgeladen und dann ging alles ohne Probleme.

Hallo,

ich kann den Link zum Plugin nicht sehen. Liegt das an der neuen Forumssoftware bzw. an den Änderungen?

Kann jemand den Link bitte posten?

 

Danke und Grüße

Bitte den Link posten, danke! :slight_smile:

Ich währe auch sehr an dem Plugin interessiert. Danke im Vorraus!

Wäre ebenso daran interessiert!

Hallo zusammen,

hier der Link zum Plugin:

https://s3-eu-west-1.amazonaws.com/uploads-eu.hipchat.com/20552%2F95756%2FQg6uxLKzhhJHvWc%2FSwagAdvancedTinyMce.zip

Gruß Heiner

4 Likes

danke Heiner! no

[@Heiner Lohaus](http://forum.shopware.com/profile/63/Heiner Lohaus “Heiner Lohaus”)‍: Weshalb kann ich denn kein einzelnes Icon ausgeben? Also ohne Text.

Habe folgendes in die extended_valid_elements eingefügt:

  • i[class|style],
  • span[class|style]

Die Icons möchte ich eigentlich per span einfügen. 

 geht nur, wenn ich 
 hier noch Text einfüge

Wenn ich die erste Variante im HTML-Editor einfüge, wird sie direkt gelöscht und durch ein Leerzeichen ausgetauscht. Ich möchte das Icon aber alleine stehend haben. Sodass ich es entsprechend in der Größe anpassen kann. Unabhängig vom Text.

Habe ich eine Einstellung übersehen oder geht es einfach nicht anders?

@stebdesigner‍ Die erste Variante wird gelöscht, weil der Editor leere Tags „wegoptimiert“.

Das kannst du umgehen, indem du ein geschütztes Leerzeichen verwendest:

 

Moin, 

hat es jemand für 4.2.0 im Einsatz? Bei mir funktioniert die Erweiterung nicht. Skin kann man aber ändern. Mein Änderung in extended_valid_elements: script[src|type|async|defer],

Jedoch wird script als tag für inline und src -js komplett rausgeschmissen. Ein Versuch mit {literal}, da übernimmt er auch nur {literal} als Wort. 

Hat jemand eine Idee. Thx und Gruss

Bei mir klappt das nicht für die Version 5.1.5. Da kommt bei der Installation eine Fehler dass er nicht in die Tabelle schreiben kann. Zwar kann man das Plugin im Plugin-Manager konfigurieren, aber es greift nicht.

Hallo Herr Lohaus,

danke für die Bereitstellung des Plugins (getestet unter SW 5.1.1).

Ein Tipp dazu: Konfiguartion kann vor den einzelnen Feldern eigentlich überall entfernt werden, denn da es einmal oben steht, sollte klar sein, dass die Felder Konfigurationswerte enhalten.

Ich würde mich freuen, wenn Sie das Plugin anpassen würden und dabei vielleicht auch gleich die grün markierten Werte mit in die Liste aufnehmen (= structured data tags von schema.org).

Danke
dv

 

@Heiner Lohaus schrieb:

Hallo zusammen,

hier der Link zum Plugin:

https://s3-eu-west-1.amazonaws.com/uploads-eu.hipchat.com/20552/95756/Qg6uxLKzhhJHvWc/SwagAdvancedTinyMce.zip

Gruß Heiner

Hallo,

bei mir hat die Installation in der Version 5.2.6 einwandfrei funktioniert.

Voller Erwartung habe ich versucht bei einer Shopseite und zu verwenden, welches beides unter den ‘normalen’ TinyMCE gelöscht wurde.
bleibt jetzt stehen, aber wird leider auch gelöscht.

Wieso ist denn das so? Und was kann ich machen, damit ich eine Box zum Aufklappen implementieren kann?

Hallo,

Wie  kann man die „Template“ bzw. Vorlagen-Funktion von TinyMCE hier verwenden?
Ich kann zwar den Vorlagen Button anzeigen, weiss aber nicht, wie und wo ich die Templates am besten update-sicher anlegen kann.

Danke im Voraus!

Hello - niemend einen Hinweis, wo ich TinyMCE Templates im “erweiterten Editor” am besten anlege?
Ich habe nur gelesen, dass es einfacher geht - leider aber eben keine Ahnung wie und wo…

Hat jemand das Plugin unter Shopware 5.2 im Einsatz?

Bei uns gibt es zwar keine Fehlermeldungen, aber ein Einfügen von JavaScript-Blöcken über die Quelltext-Ansicht funktioniert nicht. Der JavaScript Code wird sofort rausgefiltert.

In den Standard-Einstellungen ist doch JavaScript (script[src|type]) schon drin, wenn ich es richtig sehe oder?

 

Funktioniert bisher einwandfrei mit SW 5.4.4! Ließ sich auch ohne Probleme installieren.

Das Plugin funktioniert bei mir auch mit 5.5. Allerdings werden die Bilder, die man aus der Medienverwaltung einfügt in Originalgröße ausgegeben. Lassen sich die Bilder automaitsch verkleinern oder eine Funktion einbauen, dass automatisch eines der Thumbnails genommen wird?

Vielen Dank für das Plugin!

Klappt das dann auch in der Einkaufswelt mit dem “Code-Schnipsel” oder wie muss ich hier vorgehen?

Hallo,

das Einkaufswelten - Element “Code Element” hat doch aber überhaupt keinen TinyMCE - Editor, wieso sollte es also dort funktionieren? Das würde ja gar keinen Sinn ergeben, da hier ausschließlich vom TinyMCE die Rede ist, den es beim “Code Element” gar nicht gibt.

Grüße

Sebastian

1 Like